// // Example of student records using struct
// main.c
// Runs on LM4F120 or TM4C123



#include "../inc/tm4c123gh6pm.h"
#include "UART.h"
#include <stdio.h>
  
struct Student {
  char Initials[2];
  short id;
  struct Student *teammate;
};
typedef struct Student SType;
#define XYpt &class[0]
#define ABpt &class[1]
#define RSpt &class[2]
#define JVpt &class[3]
#define AGpt &class[4]
#define RYpt &class[5]
SType  class[6] = {
{{'X','Y'},123, RSpt},     // XY
{{'A','B'}, 23, RYpt},     // AB
{{'R','S'}, 11, XYpt},     // RS
{{'J','V'}, 42, AGpt},     // JV
{{'A','G'}, 25, JVpt},     // AG
{{'R','Y'},2457, ABpt}};   // ZZ

SType seatChart[5][10];  //2-D array, 5 rows 10 columns
void Place(unsigned char i,unsigned char j, SType *p){
//   seatChart[i][j].Initials[0] = p->Initials[0];
//   seatChart[i][j].Initials[1] = p->Initials[1];
//   seatChart[i][j].id = p->id;
//   seatChart[i][j].teammate = p->teammate;
  seatChart[i][j] = *p;
}

int main(void){ char c0,c1;
  short myId,yourId;
  int i,j; SType *partnerPt;
 
  UART_Init();  // Initialize UART

  
  printf("FI-LI : id (team-mate_id)\n");
  for(i=0; i<6; i=i+1){
    c0 = class[i].Initials[0];
    c1 = class[i].Initials[1];
    myId = class[i].id;
    partnerPt = class[i].teammate;
    yourId = partnerPt->id;
    printf("%c%c : %d (%d)\n",c0,c1,myId,yourId);
  }
  
  printf("\n\n");
  printf("Seating chart\n");
  Place(0,0,XYpt); // manual seating
  Place(0,1,ABpt);
  Place(2,2,RSpt);
  Place(0,3,JVpt);
  Place(1,4,AGpt);
  Place(1,5,RYpt);
  for(i=0;i<5;i++){
    for(j=0;j<10;j++){
      if(seatChart[i][j].id){
        c0 = seatChart[i][j].Initials[0];
        c1 = seatChart[i][j].Initials[1];
        printf("%c%c ",c0,c1);
      }else{
        printf("   ");
      }
    }
    printf("\n");
  }

        
  while(1){};
}

